#include<bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n,k,f=0,q;
    bool nadjen = false;

    cin >> n;
    cin >> k;

    cin >> q;

    f=q;

    if(q==k)
    {
        nadjen=true;
    }

    for(int i=1; i<n; i++)
    {
        cin >> q;

        if(nadjen)
        {
            cout << q << endl;
            
            nadjen=false;
        }
        if(q==k)
        {
            nadjen=true;
        }
    }

    if(nadjen)
    {
        cout << f << endl;
    }

    return 0;
}